#
# spec file for package cabal-install
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cabal-install
Version:        1.22.9.0
Release:        1.14
Summary:        The command-line interface for Cabal and Hackage
License:        BSD-3-Clause
Group:          Development/Languages/Other

Url:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-zlib-devel
# End cabal-rpm deps

%description
The cabal command-line program simplifies the process of managing Haskell
software by automating the fetching, configuration, compilation and
installation of Haskell libraries and programs.


%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%defattr(-,root,root,-)
%doc LICENSE
%doc README.md
%doc changelog
%{_bindir}/cabal

%changelog
* Mon Mar  7 2016 mimi.vx@gmail.com
- update to 1.22.9.0
  * Include Cabal-1.22.8.0
* Mon Feb  1 2016 mimi.vx@gmail.com
- update to 1.22.8.0
  * Only Custom setup scripts should be compiled with '-i -i.'.
  * installedCabalVersion: Don't special-case Cabal anymore.
  * Bump the HTTP upper bound.
* Sun Jan 24 2016 mimi.vx@gmail.com
- relax HTTP dep
* Mon Dec 28 2015 mimi.vx@gmail.com
- update to 1.22.7.0
  * Remove GZipUtils tests
  * maybeDecompress: bail on all errors at the beginning of the stream with zlib < 0.6
  * Correct maybeDecompress
* Wed Jul  8 2015 peter.trommler@ohm-hochschule.de
- update to 1.22.6.0
  * work with ghc 7.10
  * bug fixes
* Sun May 10 2015 mimi.vx@gmail.com
- update to 1.18.1.0
  * Force cabal upload to always use digest auth and never basic auth.
  * Merge pull request #2367 from juhp/patch-2
  * Fix bootstrap.sh by bumping HTTP to 4000.2.16.1
* Fri Apr 10 2015 mimi.vx@gmail.com
- update to 1.18.0.8
  * Support random 1.1.
  * Fix bootstrap script after network package split.
  * Support network-2.6 in test suite.
* Tue Sep  2 2014 peter.trommler@ohm-hochschule.de
- update to 1.18.0.4 for Haskell Platform 2014.2.0.0
  * no upstream changelog
* Mon Sep  1 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file with cabal-rpm 0.8.6
* Fri Aug 22 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Tue May  7 2013 peter.trommler@ohm-hochschule.de
- update to 1.16.0.2 from upstream
  * fix compilation issues with ghc 7.6
- part of Haskell Platform 2013.2
- more transparent packaging (fewer macros)
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- service localonly for Factory submission
* Tue Jun  5 2012 peter.trommler@ohm-hochschule.de
- update to 0.14.0 from upstream
- required for Haskell Platform 2012.2.0.0
* Sat Dec 31 2011 peter.trommler@ohm-hochschule.de
- Added other BR
- Fixed defattr
- Fixed filename in files
* Thu Dec  8 2011 peter.trommler@ohm-hochschule.de
- Added ghc-HTTP-devel to BR.
* Tue Nov  1 2011 peter.trommler@ohm-hochschule.de
- Initial packaging.
